#
# spec file for package python-numeric (Version 24.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils python python-devel rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           python-numeric
BuildRequires:  python-devel
Summary:        A Numerical Extension to Python
Version:        24.2
Release:        14.2
%define tarname Numeric
Source0:        %{tarname}-%{version}.tar.bz2
License:        Python, BSD
Group:          Development/Libraries/Python
URL:            http://sourceforge.net/projects/numpy
Autoreqprov:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%py_requires

%description
Numerical Python adds a fast and compact multi-dimensional array
language facility to Python.



Authors:
--------
    numpy-developers@lists.sourceforge.net

%debug_package
%prep
%setup -q -n %{tarname}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS" 
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES 
%defattr(-,root,root)
%doc README changes.txt Demo

%changelog -n python-numeric
* Tue Feb 28 2006 - jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 05 2006 - jmatejek@suse.cz
- update to 24.2
* Tue Apr 19 2005 - mcihar@suse.de
- update to 24.0, no patching needed
* Mon Feb 07 2005 - mcihar@suse.cz
- update to 23.7
* Thu Dec 23 2004 - mcihar@suse.cz
- update to 23.6
* Wed Aug 04 2004 - mcihar@suse.cz
- updated to 23.3
- use %%py_requires
* Tue Dec 16 2003 - mcihar@suse.cz
- updated to 23.1
- no root for build
* Thu Jun 26 2003 - mcihar@suse.cz
- added cleanup to %%install
* Mon Jun 16 2003 - mcihar@suse.cz
- updated to 23.0
- use record-rpm
* Mon May 12 2003 - mcihar@suse.cz
- use versioned dependency on python
* Tue Mar 04 2003 - mcihar@suse.cz
- include some documentation and demo
* Wed Oct 30 2002 - mcihar@suse.cz
- updated to version 22.0, major changes:
  * Changed multiarraymodule functions to accept keywords where
  documentation implies  it through the use of optional variables.
  * Added support for unsigned shorts 'w' and unsigned ints 'u'
  * Increased max permissible iterations in SVD for supplied lapack.
  * Recoded RandomArray.randint to try to see if we can work around bug on
  some platforms.
* Mon Aug 12 2002 - vinil@suse.de
- new version: 21.3
* Wed Jan 23 2002 - nadvornik@suse.cz
- new package, version 20.3
